<?php

namespace app\Traits;

use Illuminate\Support\Facades\Auth;

use App\Traits\CommonTrait;
use App\Traits\FileTrait;

use App\Models\User;


use Exception;
use Carbon\Carbon;

trait ProfileTrait
{
    use CommonTrait, FileTrait;


    public function getProfileInfo($param)
    {
        // try{
            $user=$param['user'];
          
            $platform=$param['platform'];

            //$user=User::findOrFail($user);
        
            // $profilePic=$this->getProfilePic($user,$platform);
            //$isPhoneVerified=empty($user->phone_verified_at) ? '0' : '1';
            //$isEmailVerified=empty($user->email_verified_at) ? '0' : '1';
            $email=!empty($user->email) ? $user->email : 'NA'; 
            $phone=!empty($user->phone) ? $user->phone : 'NA'; 
           
            $param = array(
                'user'=>$user,
                'platform'=>$platform
            );
           

            $data=array(
                'userId'=>$user->id,     
                'user_type'=>$user->user_type,                  
                'name'=>$user->name,               
                'email'=>$email,
                //'isEmailVerified'=>$isEmailVerified,              
                'phone'=>$phone, 
                //'isPhoneVerified'=>$isPhoneVerified,
                //'profilePic'=>$profilePic   
                'addr'=>$user->addr
            );
           
            return $data;
        // }
        // catch(Exception $e)
        // {
        //     return false;
        // }
    }


    // public function getProfilePic($user,$platform)
    // {    
       
    //     $profilePic=$this->picUrl($user->profilePic,'userPic',$platform);
        
    //     return $profilePic;
    // }




}