<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

// Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
//     return $request->user();
// });

Route::post('auth/login', 'Api\AuthController@login');
Route::post('auth/register', 'Api\AuthController@register');

// Route::group(['middleware' => ['auth:sanctum', 'UserStatus']], function () {
Route::group(['middleware' => ['auth:sanctum']], function () {
    Route::post('auth/logout', 'Api\AuthController@logout');   
    Route::get('getMyProfile', 'Api\AuthController@getMyProfile');   
});
